package samples;
import javax.ws.rs.core.MediaType;

/**
 * Common constant values used within the TransferAgent REST API samples
 */
public interface SampleConstants {
  
  /*****************************************************************
   *                 TRANSFERAGENT REST SETTINGS
   *****************************************************************/
  public final static String AGENT_BASE_PATH = "agent/";
  public final static String FILES_BASE_PATH = "files/";
 
  public final static String CONNECT_PATH = AGENT_BASE_PATH + "connect";
  public final static String STATUS_PATH = AGENT_BASE_PATH + "status";
  
  public final static String TRANSFER_PATH = FILES_BASE_PATH + "transferRev1";
  public final static String LOCAL_PATH = FILES_BASE_PATH + "local";
  public final static String REMOTE_PATH = FILES_BASE_PATH + "remote";
  
  /*****************************************************************
   *              TRANSFERAGENT CONNECTION SETTINGS
   *****************************************************************/
  public static final int TRANSFER_AGENT_PORT = 12680;
  public static final String TRANSFER_AGENT_SCHEME = "https";
  public static final String TRANSFER_AGENT_HOST = "localhost.filecatalyst.net";
  public static final MediaType TRANSFER_AGENT_MEDIA = MediaType.APPLICATION_JSON_TYPE;
  
  /*****************************************************************
 *                      SERVER CONNECTION SETTINGS
   *****************************************************************/
  public static final int SERVER_PORT = 21;
  public static final String SERVER_IP = "172.20.5.222";
  public static final String SERVER_PASSWORD = "pwd";
  public static final String SERVER_USERNAME = "user";
  public static final String SERVER_PORT_STR = String.valueOf(SERVER_PORT);
  
}
